/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package test;

import org.jboss.remoting.transport.mock.MockTest;

import java.io.Serializable;

/**
 * Just a dumb test class used for testing the passing of complex
 * objects within arrays in the invoker tests.
 *
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 */
public class ComplexReturn implements Serializable
{
    private MockTest[] mockTests;

    public ComplexReturn()
    {
        mockTests = new MockTest[2];
        mockTests[0] = new MockTest();
        mockTests[1] = new MockTest();
    }

    public MockTest[] getMockTests()
    {
        return mockTests;
    }
}